php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #5792 Compiling with php-4.0.1pl2 and apache 1.3.12 fails to add -lldap and -llber
Submitted: 2000-07-26 10:44 UTC Modified: 2000-08-01 01:03 UTC
From: aschofield at globix dot com Assigned:
Status: Closed Package: LDAP related
PHP Version: 4.0.1pl2 OS: Solaris 7
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: aschofield at globix dot com
New email:
PHP Version: OS:

 

 [2000-07-26 10:44 UTC] aschofield at globix dot com
./configure  --with-apache=../apache_1.3.12 --with-mysql=/usr/local --enable-memory-limit=yes --enable-debug=no --with-ldap --with-imap=../imap-4.7c/c-client --with-db2=/usr/local/BerkeleyDB --with-pdflib

doing a make install does the right thing.
doing a 

SSL_BASE="/usr/local/ssl" \
./configure \
"--with-layout=Apache" \
"--enable-module=ssl" \
"--activate-module=src/modules/php4/libphp4.a" \
"--enable-module=php4"

then a make does alomost the right thing. The following libraries are missing from src/Makefile, -lldap and -llber, manually adding these sorts everything... Not serious just annoying! (I use openldap 1.2.9)

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-07-26 12:11 UTC] sniper@php.net
Have you tried specifying the path in --with-ldap ?

  --with-ldap=/install/path/ofldap

--Jani

 [2000-07-26 12:12 UTC] sniper@php.net
Have you tried specifying the path in --with-ldap ?

  --with-ldap=/install/path/ofldap

--Jani

 [2000-08-01 01:03 UTC] sniper@php.net
No user feedback.

--Jani
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Nov 29 14:03:13 2021 UTC